Bug 498397 - (perl-Devel-REPL) Review Request: perl-Devel-REPL - Modern perl interactive shell
Review Request: perl-Devel-REPL - Modern perl interactive shell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Devel-REPL/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 06:04 EDT by Iain Arnell
Modified: 2016-08-14 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-03 05:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-30 06:04:53 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Devel-REPL.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Devel-REPL-1.003006-1.fc12.src.rpm

Description:
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or testing
of code without the need to create a temporary source code file.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1330112

*rt-0.09
Comment 1 Parag AN(पराग) 2009-04-30 11:21:38 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1330112
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e052cac4b6d55eee9a0ced5a76b5a7be  Devel-REPL-1.003006.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=1, Tests=17,  1 wallclock secs ( 0.03 usr  0.00 sys +  0.46 cusr  0.02 csys =  0.51 CPU)
+Package perl-Devel-REPL-1.003006-1.fc12.noarch => 
  Provides: perl(Devel::REPL) = 1.003006 perl(Devel::REPL::Error) perl(Devel::REPL::Meta::Plugin) perl(Devel::REPL::Plugin) perl(Devel::REPL::Plugin::B::Concise) perl(Devel::REPL::Plugin::Colors) perl(Devel::REPL::Plugin::Commands) perl(Devel::REPL::Plugin::Completion) perl(Devel::REPL::Plugin::CompletionDriver::Globals) perl(Devel::REPL::Plugin::CompletionDriver::INC) perl(Devel::REPL::Plugin::CompletionDriver::Keywords) perl(Devel::REPL::Plugin::CompletionDriver::LexEnv) perl(Devel::REPL::Plugin::CompletionDriver::Methods) perl(Devel::REPL::Plugin::CompletionDriver::Turtles) perl(Devel::REPL::Plugin::DDS) perl(Devel::REPL::Plugin::DumpHistory) perl(Devel::REPL::Plugin::FancyPrompt) perl(Devel::REPL::Plugin::FindVariable) perl(Devel::REPL::Plugin::History) perl(Devel::REPL::Plugin::Interrupt) perl(Devel::REPL::Plugin::LexEnv) perl(Devel::REPL::Plugin::MultiLine::PPI) perl(Devel::REPL::Plugin::NewlineHack) perl(Devel::REPL::Plugin::Nopaste) perl(Devel::REPL::Plugin::OutputCache) perl(Devel::REPL::Plugin::PPI) perl(Devel::REPL::Plugin::Packages) perl(Devel::REPL::Plugin::Packages::DefaultScratchpad) perl(Devel::REPL::Plugin::Peek) perl(Devel::REPL::Plugin::ReadLineHistory) perl(Devel::REPL::Plugin::Refresh) perl(Devel::REPL::Plugin::ShowClass) perl(Devel::REPL::Plugin::Timing) perl(Devel::REPL::Plugin::Turtles) perl(Devel::REPL::Profile) perl(Devel::REPL::Profile::Default) perl(Devel::REPL::Script)

Requires: /usr/bin/env perl >= 0:5.008001 perl(B::Concise) perl(B::Keywords) perl(Data::Dump::Streamer) perl(Devel::Peek) perl(Devel::REPL) perl(Devel::REPL::Error) perl(Devel::REPL::Meta::Plugin) perl(Devel::REPL::Plugin) perl(Devel::REPL::Script) perl(File::HomeDir) perl(File::Next) perl(File::Spec) perl(Lexical::Persistence) perl(Module::Refresh) perl(Moose) perl(Moose::Role) perl(Moose::Util::TypeConstraints) perl(MooseX::AttributeHelpers) perl(PPI) perl(PPI::Dumper) perl(Scalar::Util) perl(Term::ANSIColor) perl(Term::ReadLine) perl(Time::HiRes) perl(namespace::clean) perl(strict) perl(vars) perl(warnings)


suggestions:
1) Not needed
BuildRequires:  perl >= 1:5.8.1

APPROVED.
Comment 2 Iain Arnell 2009-04-30 11:42:01 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-REPL
Short Description: Modern perl interactive shell
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2009-05-01 17:02:42 EDT
CVS Done
Comment 4 Orion Poplawski 2010-12-02 16:45:18 EST
perl-PDL requires this for EL-6.  I can maintain it there if needed if you do not, Iain.
Comment 5 Iain Arnell 2010-12-03 00:07:10 EST
There's a bunch of missing deps in EL-6 that I don't have time to chase down right now. They're most likely all mine, though, so please feel free to request branches for them too and keep me as co-maintainer.
Comment 6 Orion Poplawski 2010-12-03 11:39:31 EST
To start:

DEBUG util.py:267:  No Package Found for perl(MooseX::AttributeHelpers) >= 0.16
DEBUG util.py:267:  No Package Found for perl(App::Nopaste)
DEBUG util.py:267:  No Package Found for perl(MooseX::Object::Pluggable) >= 0.0009
DEBUG util.py:267:  No Package Found for perl(Lexical::Persistence)

Yeah, I'm not up for that.  I'm just going to disable REPL in PDL for now.
Comment 7 Lubomir Rintel 2014-01-29 10:08:07 EST
Package Change Request
======================
Package Name: perl-Devel-REPL
New Branches: epel7
Owners: lkundrak

The package maintainer (iarnell) is not willing to maintain this for EPEL-7:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo
Comment 8 Gwyn Ciesla 2014-01-29 11:33:36 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.